ProxMox Web GUI not working after restart

niuk

New Member
Feb 20, 2017
27
0
1
56
After restart I can't connect to Proxmox https://IP:8006/, dont see anything important in log

root@pve:~# tail /var/log/daemon.log
Mar 15 10:05:43 pve rrdcached[1159]: rotating journals
Mar 15 10:05:43 pve rrdcached[1159]: started new journal /var/lib/rrdcached/journal/rrd.journal.1489586743.188383
Mar 15 10:05:43 pve rrdcached[1159]: removing old journal /var/lib/rrdcached/journal/rrd.journal.1489579543.188385
Mar 15 10:05:43 pve smartd[1092]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 53 to 52
Mar 15 10:35:43 pve smartd[1092]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 52 to 53
Mar 15 11:05:43 pve rrdcached[1159]: flushing old values
Mar 15 11:05:43 pve rrdcached[1159]: rotating journals
Mar 15 11:05:43 pve rrdcached[1159]: started new journal /var/lib/rrdcached/journal/rrd.journal.1489590343.188390
Mar 15 11:05:43 pve rrdcached[1159]: removing old journal /var/lib/rrdcached/journal/rrd.journal.1489583143.188391
Mar 15 11:35:43 pve smartd[1092]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 53 to 5

PVEPROXY shows status failed

root@pve:~# systemctl status pveproxy
● pveproxy.service - PVE API Proxy Server
Loaded: loaded (/lib/systemd/system/pveproxy.service; enabled)
Active: failed (Result: exit-code) since Tue 2017-03-14 17:05:45 EDT; 19h ago
Process: 1311 ExecStart=/usr/bin/pveproxy start (code=exited, status=2)

Mar 14 17:05:45 pve pveproxy[1311]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2/Cluster.pm line 13.
Mar 14 17:05:45 pve pveproxy[1311]: Compilation failed in require at /usr/share/perl5/PVE/API2.pm line 13.
Mar 14 17:05:45 pve pveproxy[1311]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/API2.pm line 13.
Mar 14 17:05:45 pve pveproxy[1311]: Compilation failed in require at /usr/share/perl5/PVE/Service/pveproxy.pm line 15.
Mar 14 17:05:45 pve pveproxy[1311]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/Service/pveproxy.pm line 15.
Mar 14 17:05:45 pve pveproxy[1311]: Compilation failed in require at /usr/bin/pveproxy line 11.
Mar 14 17:05:45 pve pveproxy[1311]: BEGIN failed--compilation aborted at /usr/bin/pveproxy line 11.
Mar 14 17:05:45 pve systemd[1]: pveproxy.service: control process exited, code=exited status=2
Mar 14 17:05:45 pve systemd[1]: Failed to start PVE API Proxy Server.
Mar 14 17:05:45 pve systemd[1]: Unit pveproxy.service entered failed state.
 
Last edited:

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,280
534
133
did you upgrade correctly?

> apt-get dist-upgrade

looks like you did a "apt-get upgrade" ....
 

niuk

New Member
Feb 20, 2017
27
0
1
56
I don't remember if I did "apt-get upgrade" When I try to do it now I got below:
root@pve:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
libfastjson4 libisns0 libjs-extjs liblognorm5 libpve-guest-common-perl libpve-http-server-perl pve-kernel-4.4.44-1-pve
The following packages have been kept back:
python-ceph python-debianbts python-reportbug reportbug
The following packages will be upgraded:
apparmor bash-completion dh-python dmidecode e2fslibs e2fsprogs gettext-base ifupdown libapparmor-perl libapparmor1 libasprintf0c2 libassuan0 libcomerr2
libgeoip1 libglib2.0-0 libgpg-error0 libjs-jquery libksba8 libnet-dbus-perl libpcap0.8 libpulse0 libpve-common-perl libseccomp2 libss2 libsystemd0
libudev1 manpages open-iscsi proxmox-ve pve-container pve-manager python-jinja2 python-pkg-resources python-requests python-six python-urllib3
qemu-server rsyslog shared-mime-info socat systemd systemd-sysv udev
43 upgraded, 7 newly installed, 0 to remove and 4 not upgraded.
80 not fully installed or removed.
E: Can't find a source to download version '3.5.2-2+deb8u3' of 'glusterfs-common:amd64'
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,280
534
133
looks ok, try:

> apt-get update
> apt-get dist-upgrade
> reboot (to activate the new kernel)

and post the output of:

> pveversion -v
 

niuk

New Member
Feb 20, 2017
27
0
1
56
Appreciate, see below , shows 'Unable to find expected entry 'pve-no-subscription/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)'

root@pve:~# apt-get update
Ign http://ftp.us.debian.org jessie InRelease
Hit http://ftp.us.debian.org jessie Release.gpg
Get:1 http://security.debian.org jessie/updates InRelease [63.1 kB]
Hit http://ftp.us.debian.org jessie Release
Hit http://repo.zabbix.com jessie InRelease
Get:2 http://security.debian.org jessie/updates/main amd64 Packages [355 kB]
Get:3 http://ftp.debian.org jessie-backports InRelease [166 kB]
Ign http://download.proxmox.com jessie InRelease
Get:4 http://security.debian.org jessie/updates/contrib amd64 Packages [2,506 B]
Get:5 http://download.proxmox.com jessie Release.gpg [181 B]
Get:6 http://security.debian.org jessie/updates/contrib Translation-en [1,211 B]
Hit http://repo.zabbix.com jessie/main Sources
Get:7 http://security.debian.org jessie/updates/main Translation-en [194 kB]
Get:8 http://download.proxmox.com jessie Release [2,167 B]
Get:9 http://download.proxmox.com jessie/pve-no-subscription amd64 Packages [267 kB]
Hit http://repo.zabbix.com jessie/main amd64 Packages
Get:10 http://ftp.debian.org jessie-backports/main amd64 Packages/DiffIndex [27.8 kB]
Get:11 http://ftp.debian.org jessie-backports/main Translation-en/DiffIndex [27.8 kB]
Get:12 http://ftp.debian.org jessie-backports/main amd64 2017-03-10-1425.50.pdiff [3,629 B]
Get:13 http://ftp.debian.org jessie-backports/main amd64 2017-03-14-1425.29.pdiff [5,432 B]
Get:14 http://ftp.debian.org jessie-backports/main amd64 2017-03-14-2025.02.pdiff [7,587 B]
Get:15 http://ftp.debian.org jessie-backports/main amd64 2017-03-14-2025.02.pdiff [7,587 B]
Get:16 http://ftp.debian.org jessie-backports/main 2017-03-10-1425.50.pdiff [2,509 B]
Get:17 http://ftp.debian.org jessie-backports/main 2017-03-14-1425.29.pdiff [1,879 B]
Get:18 http://ftp.debian.org jessie-backports/main 2017-03-14-2025.02.pdiff [3,981 B]
Get:19 http://ftp.debian.org jessie-backports/main 2017-03-14-2025.02.pdiff [3,981 B]
Ign http://download.proxmox.com jessie/pve-no-subscription Translation-en_US
Ign http://download.proxmox.com jessie/pve-no-subscription Translation-en
Ign http://repo.zabbix.com jessie/main Translation-en_US
Ign http://repo.zabbix.com jessie/main Translation-en
Hit https://apt.dockerproject.org debian-jessie InRelease
Hit https://apt.dockerproject.org debian-jessie/main amd64 Packages
Get:20 https://apt.dockerproject.org debian-jessie/main Translation-en_US [442 B]
Get:21 https://apt.dockerproject.org debian-jessie/main Translation-en [454 B]
Get:22 https://apt.dockerproject.org debian-jessie/main Translation-en_US [442 B]
Get:23 https://apt.dockerproject.org debian-jessie/main Translation-en [454 B]
Get:24 https://apt.dockerproject.org debian-jessie/main Translation-en_US [442 B]
Get:25 https://apt.dockerproject.org debian-jessie/main Translation-en [454 B]
Get:26 https://apt.dockerproject.org debian-jessie/main Translation-en_US [442 B]
Get:27 https://apt.dockerproject.org debian-jessie/main Translation-en [454 B]
Get:28 https://apt.dockerproject.org debian-jessie/main Translation-en_US [442 B]
Ign https://apt.dockerproject.org debian-jessie/main Translation-en_US
Get:29 https://apt.dockerproject.org debian-jessie/main Translation-en [454 B]
Ign https://apt.dockerproject.org debian-jessie/main Translation-en
Fetched 1,132 kB in 6s (184 kB/s)
W: Failed to fetch http://ftp.us.debian.org/debian/dists/jessie/Release Unable to find expected entry 'pve-no-subscription/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,280
534
133
you have some additional sources.list files, so I assume you have a typo somewhere.

pls check all your sources.list files again.
 

niuk

New Member
Feb 20, 2017
27
0
1
56
All I have is below, can't find typo here

root@pve:/etc/apt/sources.list.d# cat *
# deb https://enterprise.proxmox.com/debian jessie pve-enterprise
deb https://enterprise.proxmox.com/debian jessie pve-enterprise
deb https://enterprise.proxmox.com/debian jessie pve-enterprise
deb http://download.proxmox.com/debian jessie pve-no-subscription
deb http://download.proxmox.com/debian jessie pve-no-subscription
deb http://repo.zabbix.com/zabbix/3.2/debian jessie main
deb-src http://repo.zabbix.com/zabbix/3.2/debian jessie main
 
Last edited:

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
14,280
534
133
well, the error message you got tells the opposite.

> Wrong sources.list entry or malformed file
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
4,584
428
103
31
Vienna
what is the content of the file
/etc/apt/sources.list

?
 

niuk

New Member
Feb 20, 2017
27
0
1
56
Here it is, for some reason I reviewed files inside /etc/apt/sources.list.d instead of just /etc/apt/sources.list file itself. But not sure what's wrong with /etc/apt/sources.list too:
root@pve:~# cat /etc/apt/sources.list
deb http://ftp.us.debian.org/debian jessie pve-no-subscription
#deb http://ftp.us.debian.org/debian jessie main contrib

# security updates
deb http://security.debian.org jessie/updates main contrib
deb https://apt.dockerproject.org/repo/ debian-jessie main
# deb-src https://apt.dockerproject.org/repo/ debian-jessie main
deb http://ftp.debian.org/debian jessie-backports main
 

niuk

New Member
Feb 20, 2017
27
0
1
56
that worked, even without reboot....
root@pve:~# pveversion -v
proxmox-ve: 4.4-84 (running kernel: 4.4.35-1-pve)
pve-manager: 4.4-13 (running version: 4.4-13/7ea56165)
pve-kernel-4.4.35-1-pve: 4.4.35-77
pve-kernel-4.4.44-1-pve: 4.4.44-84
lvm2: 2.02.116-pve3
corosync-pve: 2.4.2-2~pve4+1
libqb0: 1.0-1
pve-cluster: 4.0-48
qemu-server: 4.0-109
pve-firmware: 1.1-10
libpve-common-perl: 4.0-94
libpve-access-control: 4.0-23
libpve-storage-perl: 4.0-76
pve-libspice-server1: 0.12.8-2
vncterm: 1.3-1
pve-docs: 4.4-3
pve-qemu-kvm: 2.7.1-4
pve-container: 1.0-96
pve-firewall: 2.0-33
pve-ha-manager: 1.0-40
ksm-control-daemon: 1.2-1
glusterfs-client: 3.5.2-2+deb8u3
lxc-pve: 2.0.7-4
lxcfs: 2.0.6-pve1
criu: 1.6.0-1
novnc-pve: 0.5-9
smartmontools: 6.5+svn4324-1~pve80
zfsutils: 0.6.5.9-pve15~bpo80

after apt-get update it complained on duplicate entries, but apt-upgrade was fine.
W: Duplicate sources.list entry http://download.proxmox.com/debian/ jessie/pve-no-subscription amd64 Packages (/var/lib/apt/lists/download.proxmox.com_debian_dists_jessie_pve-no-subscription_binary-amd64_Packages)
W: You may want to run apt-get update to correct these problems

Webui still complains 'No valid subscriptions' but all is back ... I love Proxmox, thnx for help, really appreciate
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!